<template>
  <v-tooltip bottom nudge-left="50px">
    <template #activator="{ on, attrs }">
      <v-btn
        v-bind="{...attrs, ...attrsParent}"
        class="round-leftmost"
        :color="color"
        v-on="on"
        @click="click"
      >
        <v-icon color="white">
          {{ icon }}
        </v-icon>
      </v-btn>
    </template>
    {{ tooltip }}
  </v-tooltip>
</template>

<script lang="ts">
import {
  Vue, Component, Prop, Emit,
} from 'vue-property-decorator';

@Component
export default class CanvasSwitcherButton extends Vue {
  @Prop()
  tooltip!: string;

  @Prop()
  icon!: string;

  @Prop({ default: false })
  togglable!: boolean;

  attrsParent = this.$attrs;

  color = this.$store.state.primaryColor;

  active = false;

  @Emit()
  click(e: MouseEvent): MouseEvent {
    if (this.togglable) {
      this.active = !this.active;
      this.color = this.active ? '' : this.$store.state.primaryColor;
    }
    return e;
  }
}
</script>
